package ru.yandex.autodoc.common.doc.types;

/**
 * @author avhaliullin
 */
public class FieldDescription {
    private final boolean required;
    private final ValueType type;
    private final String description;
    private final String name;
    private final String itemName;

    public FieldDescription(boolean required, ValueType type, String description, String name, String itemName) {
        this.required = required;
        this.type = type;
        this.description = description;
        this.name = name;
        this.itemName = itemName;
    }

    public String getName() {
        return name;
    }

    public boolean isRequired() {
        return required;
    }

    public ValueType getType() {
        return type;
    }

    public String getDescription() {
        return description;
    }

    public String getItemName() {
        return itemName;
    }
}
